SNMPD(8)

NAME
snmpd - Simple Network Management Protocol daemon

SYNOPSIS
snmpd [-dNnv] [-D macro=value] [-f file] [-r path]

DESCRIPTION
snmpd is a daemon which implements the SNMP protocol.

The options are as follows:

-D macro=value
    Define macro to be set to value on the command line. Overrides the definition of macro in the configuration file.

-d  Do not daemonize and log to stderr.

-f file
    Use file as the configuration file, instead of the default /etc/snmpd.conf.

-N  Show numeric OID values instead of their symbolic names.

-n  Configtest mode. Only check the configuration file for validity.

-r path
    Open a second, restricted, control socket that snmpctl(8) can use. Only trap requests are allowed on this socket.

-v  Produce more verbose output.

FILES
/etc/snmpd.conf
    default snmpd configuration file
/var/run/snmpd.sock
    default snmpd control socket
/usr/share/snmp/mibs/*
    snmpd Management Information Base definitions

SEE ALSO
snmpd.conf(5), snmpctl(8) RFC 1157, A Simple Network Management Protocol (SNMP), May 1990. http://www.ibr.cs.tu-bs.de/projects/snmpv3/, SNMP Version 3 (SNMPv3), March 2002. RFC 3410, Introduction and Applicability Statements for Internet Standard Management Framework, December 2002.

HISTORY
The snmpd program first appeared in OpenBSD 4.3.

AUTHORS
The snmpd program was written by Reyk Floeter <reyk@vantronix.net>.

CAVEATS
snmpd does not fully work yet.